API 參考
刪除 API 金鑰
撤銷 Standard API 金鑰,但不刪除歷史使用記錄。
撤銷 Standard API 金鑰,但不刪除歷史使用記錄。
端點
- 基礎 URL
https://runapi.ai- API 版本
v1- 身分驗證
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
JSON 請求內文請求
僅在列出的請求位置中傳送值。
路徑參數1 個欄位
idstring
必填
API 金鑰前綴 ID,例如 token_123。
03
HTTP 204成功回應
DELETE /api/v1/keys/:id
此回應沒有內文。
04
HTTP 401錯誤回應 (401)
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Authentication required"
}
05
HTTP 403錯誤回應 (403)
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Management API key required"
}
06
HTTP 403錯誤回應 (403)
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Account admin required"
}
07
HTTP 404錯誤回應 (404)
回應綱要
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Resource not found"
}
08
cURL 範例
CURL
curl -X DELETE https://runapi.ai/api/v1/keys/token_123 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'